Skip to main content

Get Brand Resources

API Description​

Get information about one or more brand resources matching query parameters.

Request​

URI Parameters​

NameInput
orgId
REQUIRED

Query Parameters​

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
brandDetails.categories
OPTIONAL
brandDetails.countryCodes
OPTIONAL
brandDetails.displayNames.name
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands?ql={query_parameter};{query_parameter}

This path example is expected to return brands generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands?ql=createdDate=gt=2024-10-30T00:00:00Z&limit=2

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c74ac48d-07d2-4e24-958a-f1769a1b002a
content-type: application/json

Response Body​

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]brandDetails
REQUIRED
data[]metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-01T07:30:00.00Z",
"state": "SUBMITTED",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en-US",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop", "travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
},
"metadata": []
},
{
"orgId": "9467895078742654934",
"id": "9467895078742654909",
"createdDate": "2026-10-10T17:32:23.00Z",
"updatedDate": "2026-10-15T10:12:53.00Z",
"state": "PUBLISHED",
"etag": "9a0e48b6-ddcd-11ec-99d7-031c8451c3a4",
"brandDetails": {
"partnersBrandId": "123123",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Burger House",
"locale": "en-US",
"primary": true
}
],
"categories": [ "dining.restaurant.fast_food_restaurant.burger_restaurant" ],
"urls": [
{
"url": "http://another-example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
},
"metadata": []
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/brands?limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}